# compliance-trestle-fedramp

A plugin for [compliance-trestle](https://github.com/IBM/compliance-trestle) to provide functionality specifically for FedRAMP.

This plugin provides APIs and commands for validating a FedRAMP compliant SSP (in JSON or YAML format). In future it will also provide utilities for converting various OSCAL models from XML to JSON format and vice-versa.

## Python codebase, easy installation via pip

compliance-trestle-fedramp currently runs on  python platforms on Linux and Mac. Windows support is planned to be added soon. It is available on PyPi so it is easily installed via pip.  It is under active development and new releases are made available regularly.

It is dependent on SaxonC and requires it to be installed and configured on the system beforehand. It has been tested with [Saxon-HE/C v1.2.1](https://www.saxonica.com/saxon-c/index.xml). The Python extension for SaxonC also needs to be setup as trestle-fedramp uses the Python interface for invoking functionalities of SaxonC.

## Complete documentation and tutorials

A tutorial on how this plugin is created can be found [here](https://ibm.github.io/compliance-trestle/contributing/plugins). Instructions on how to use the CLI are described [here](https://ibm.github.io/compliance-trestle/plugins/compliance-trestle-fedramp).

## Development status

Compliance trestle fedramp is currently in beta. The expectation is that in ongoing work there may be un-announced changes that are breaking within the trestle-fedramp codebase.

## Contributing to Trestle-fedramp

Our project welcomes external contributions. Please consult [contributing](CONTRIBUTING.md) to get started.

## License & Authors

If you would like to see the detailed LICENSE click [here](LICENSE).
Consult [contributors](https://github.com/IBM/compliance-trestle-fedramp/graphs/contributors) for a list of authors and [maintainers](MAINTAINERS.md) for the core team.

```text
# Copyright (c) 2020 IBM Corp. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

```
